
[![Twitter URL](https://img.shields.io/twitter/url/http/shields.io.svg?style=social)](https://twitter.com/realchaorace)

# Civilization 6 - Chao's Quick UI

## CQUI no longer lives on this repo! Please see the [CQUI - Community Edition Repo](https://github.com/Azurency/CQUI_Community-Edition) to get the latest CQUI updates and support. @Azurency has proven to be an excellent steward of the project and I wholeheartedly endorse him!
## I'd like to take this opportunity to give one last big shoutout to the brilliant contributors and translators who helped make this mod happen. I'm so lucky to have had an opportunity to code alongside so many talented people. (:

# Features:

### CQUI Features:

* Civ V Style Cityview

![](http://i.imgur.com/X5qBzja.jpg)

* Great Person panel renovated (no more scrolling!)

![](http://i.imgur.com/FeRTxyh.jpg)

* Improved amenities city details screen (Clean Icons! No Tutorial UI!)

![](http://i.imgur.com/UA1NrR5.png)

* "My Government" tab removed from Government panel

![](http://i.imgur.com/168ThOx.jpg)

* Production panel elements compressed and reordered

![](http://i.imgur.com/DpZ0kcn.png)

* Map Pinning system enhanced: new pins, long pinlists are now scrollable, right click in pinlist to quickly delete pins, enter key now bound to finalizing a pin in pin creation menu.

![](http://i.imgur.com/M11tac6.png)

* Tech/Civic Tree and Civilopedia now autofocus the searchbar
* Civilopedia remembers the last visited page
* Civic/Tech popups can be disabled. Optionally, the voiceover can still be kept even without the popup.
* Civic/Tech notifications spawned at 50%/100% research progress
* [Minimap can be toggled between 2x-Mode and original by rightclicking](https://gfycat.com/DefinitiveDependableAfricanharrierhawk)
* Dedicated mod settings menu with persistent settings

![](http://i.imgur.com/ePCspFh.png)

* Citizen management icons are overhauled to make seeing yield info easier

![](http://i.imgur.com/gbA4z3s.png)

* Growth/Production progress is enumerated in the city panel

![](http://i.imgur.com/3kYsEIf.png)

* Improved resource icons are dimmed to emphasize unutilized resources

![](http://i.imgur.com/m32xtQr.png)

* Civ V keybinds implemented. Two modes: Classic, a faithful recreation of the Civ V binding scheme. Enhanced,  Civ V binding scheme with WASD assigned to camera control, Q/E assigned to city/unit cycling, and Shift assigned to shifting focus between city and unit selection modes.

* Unit actions like sell/delete are no longer hidden behind an expando

![](http://i.imgur.com/x1xZtyY.png)

* Unit XP bars are twice as tall

![](http://i.imgur.com/TeWR0VA.png)

* Tile tooltips spawn nearly instantly

### QUI Features:

* Growth/Amenities/Bordergrowth info baked into city banners

![](http://i.imgur.com/8CUJSB6.png)

* "Smart Banner" Toggleable option to display a green icon indicating non-locked citizens and district icons indicating built districts.

![](http://i.imgur.com/XLVP92n.png)

* Luxury resources are displayed in the top bar alongside strategic resources

![](http://i.imgur.com/ebYO8l4.png)

* [Right clicking the action panel (bottom right button) instantly ends turn](https://gfycat.com/PeacefulSpanishAfricanwildcat) even when things like production/research/unit moves have not been decided
* Production/Worker recommendations removed

### Better Trade Screen Features:

* Overhauled trade menus

![](http://i.imgur.com/0IMseO1.png)![](http://i.imgur.com/F7ZRUi7.png)

* New yield/destination filtering options

![](http://i.imgur.com/8DXfZx3.png)

* Remembers the last used tab
* Available Routes shows all possible routes, even if the trade unit is not present in the origin city
* Clicking on a route where a free trade unit is not present in the origin city takes you to a free trade unit and opens the change city tab
* City States with Trade Quest have an icon showing they have that quest
* Tourism and Visibility bonus is now on each trade route

### Divine Yuri's Custom City Panel Features:

* New city panel tooltips:
  * ![Food tooltip](http://i.imgur.com/ZGwznFv.png)
  * ![Religions tooltip](http://i.imgur.com/Vo8ZVGr.png)
  * ![Districts tooltip](http://i.imgur.com/DqwAySq.png)
  * ![Amenities tooltip](http://i.imgur.com/qHjdmUG.png)
  * ![Housing tooltip](http://i.imgur.com/h5R3Dhh.png)

### Next City Plot Features:

* Shows target and timing of next cultural border growth

![](http://i.imgur.com/0zAy8gF.png)

## Video (Outdated)

[Version v0.5](https://youtu.be/VY1-1DxWmm8) (Credit ZeusMoltar9)

# How to use
* Download the latest release from
https://github.com/chaorace/cqui/releases/

* Find your DLC folder:

  Windows:
```
C:\Program Files (x86)\Steam\steamapps\common\Sid Meier's Civilization VI\DLC
```
  OSX:
```
Library/Application Support/Steam/steamapps/common/Civilization VI
```
  ... and then right click, "Show Package Contents", then navigate to...
```
Contents/Assets/DLC
```

* Extract the "cqui" folder to the DLC folder

* In-Game: Enable the mod in the "Additional Content" menu

* Start a new game (existing games cannot have new mods added to them!)

* Visit https://github.com/chaorace/cqui occasionally or follow https://twitter.com/realchaorace to be the first to know about new releases and feature additions!

* NOTE: Until this mod is in a less experimental state, the mod will not remember its "enabled" status after restarting the game. This means that every time you plan to start a new game using CQUI, you'll need to explicitly enable it in the "Additional Content" menu first. Once you've created the game using the mod, it will always load when you start the save, regardless of its current status in the "Additional Content Menu"

### KNOWN ISSUES / SUPPORT:

Please see the [issue tracker](https://github.com/chaorace/cqui/issues) for an up to date list, you can also find help and report bugs at our [Gitter](https://gitter.im/Civ6-CQUI/Help)

### How to contribute

Those looking to contribute to CQUI should visit [the CQUI repo](https://github.com/chaorace/cqui). Those new to using Github should visit the [contributor guide](https://github.com/chaorace/cqui/wiki/How-to-contribute-to-CQUI). ALL new contributors should visit the [style guidelines](https://github.com/chaorace/cqui/wiki/Style-Guideline). All good work is accepted, so long as it falls under the scope of the project and adheres to the styleguide. Contributors are always credited for their work! Those looking for a goal to get started on may want to visit the [issue tracker](https://github.com/chaorace/cqui/issues) for the current list of bugs and feature requests, it's growing every day!

# THANKS:
* @Vans163 for his original QUI mod :heart:
* @astog from the CivFanatics modding community for his [Better Trade Screen mod](http://forums.civfanatics.com/threads/better-trade-screen.602636/) AND his [More Lenses mod](https://forums.civfanatics.com/threads/more-lenses.606150/), which he merged personally in #165
* Greg Miller (GMiller7138 on Civfanatics) for his [Unit Report Screen mod](https://forums.civfanatics.com/threads/unit-report-screen.602305/)
* Ace from the CivFanatics modding community for his [Next City Plot mod](http://forums.civfanatics.com/resources/next-city-plot-by-ace.25437/)
* Divine Yuri from the CivFanatics modding community for his [Custom City Panel mod](http://forums.civfanatics.com/resources/divine-yuris-custom-city-panel.25430/)
* @ZhouYzzz for providing the Chinese localization in #161
* @deggesim (Simone1974 on Civfanatics) for providing the Italian localization in #250
* @e1ectron for providing the Russian localization in #251
* @sejbr for providing the Polish localization in #253
* @frytom/@maxap/@JHCD for providing the German localization in #283/#348
* @lctrs for providing a partial French localization in #273/#339
* @wbqd for providing a Korean translation in #309
* @jacks0nX for:
  * localization in #20
  * map pin enhancements in PR #21 and #55
  * UI/Civilopedia improvements in #24 and #32
  * adding a GP filter to the policy card display in 063d3a668a06b49c9b2394e03cd5deb66b848210
  * adding a "Create Pin" hotkey in #117
  * fixing missing translations in #135
* @RatchetJ for:
  * providing the civic/tech notifications at 50%/100% completion in #66 and 1148edc7ada9a649c15611ef78dbdc690c8adf30
  * improper camera centering on load in #86
  * useless civic/tech notifications in #91
  * providing the fix for the production panel "forgetting" the last produced item in #105
  * adding GP/turn to the GP panel
  * Adding city yield/citizen assignment information on hover in #136
* @Frozen-In-Ice for:
  * revamping the Housing section of the City Details panel in #205
  * adding turns-left indicators to the GP screen in #205
  * fixing cityview UI bugs in #209 and #238
  * adding faster diplomacy fadeouts in #217
  * adding type/yields to the GW trade tooltip in #217
  * cleaning up the plot tooltip in #232
* @JHCD for:
  * fixing a runtime error in #338
  * fixing missing gov info with upscaling enabled (#96) in #345
  * fixing the mod's display in the in-game mod menu (#326) in #351 and again in #449
  * updating URS to version 1.7.3 (#340) in #369
  * fixing oversized URS tab buttons (#366) in #375
  * porting some missing Australian patch changes in #402
  * documenting and advising in the creation of the new default settings method (#430) in #447
* Aristos / @ricanuck for:
  * porting GPT + mutually-owned resource highlighting from HB UI in #374
  * fixing doubled yield expenses in URS yield tab
  * fixing duplicate row headers in multiple URS tabs
  * fixing the vanilla civ bug where the World Tracker checkboxes could fail to persist their states
  * changing URS so that it properly remembers the last-used tab
  * adding detailed tooltips to the relationship icons in the diplomacy ribbon (in #391) and diplomatic view (in #393)
  * fixing negative 0 values appearing in the happiness breakdown
  * fixing an issue where URS tabs could desynchronise (#321) in #397
  * adding detailed tooltips to the worldtracker science/civics items (#191) in #398
  * integrating the Improved Deal Screen mod in #404
  * fixing a deal miscategorization bug in $405
  * considerably extending the leader portrait tooltips in the diplo ribbon in #414
  * implementing previewing leader relationships (#269) using ctrl+mouseover in the diplo ribbon in #418
  * fixing an issue with properly highlighting hostile units (#372) in #424
  * fixing a vanilla bug that caused promotion indicators to not always be in sync with the XP meter in #442
  * fixing a serious vanilla bug (!!) affecting the "Cede city" action (#439) in #443
  * fixing deal view RMB shortcut not working if at war with target (#453) in #460
* @zgavin for UI bugfixes in #1 and #2
* @olegbl for the Amenities overview overhaul in #4 and multiple UI bugfixes ( #9 and #12 )
  * Additional kudos to /u/mateusarc from the Civilization subreddit for his original concept art
* @Proustldee for:
  * bringing the BTS mod version up to current in #61
  * bringing the BTS mod version up to current, again, in #106
* @kblease for:
  * fortify until healed hotkey bugfix in #73
  * unit purchasing fix in #80
* @bolbass for:
  * binding recentering functionality to the citypanel emblem in #279
  * fixing governor not updating on tile changes in the same turn #257
* @SpaceOgre for:
  * adding toggles for each individual smartbanner component #280
  * changing housing to show as a simple difference in the smartbanner #289
  * fixing a bug that caused Corps to not queue correctly #302
  * fixing a bug that broke the auto yield icon toggling setting
  * fixing a bug causing custom map pins to be colored incorrectly (#154) in #428
  * implementing a workshop-friendly method for creating custom default settings (#329) in #430
* @OfekA for providing the improved resource dimming feature in #54
* @zeyangl for adding new options to the resource dimming feature in #146
* @Remolten for adding the 2nd highest envoy holder info to the main Citystate screen in #208
* @bestekov for adding score displays to the diplomacy ribbon in #221
* @cpinter for speeding up the diplomacy scene fadeout in #277
* @paavohuhtala for a tooltip improvement in #357
* @perseghini for providing the fix for issue #33
* @benjaminjackman for fixing a hotkey conflict in #127
* @velit for a UI bugfix in #138
* @the-m4a for a patch incompatibility bugfix in #181
* @MarkusKV for fixing a bug concerning district completion checkboxes
* @apskim for changing the style of city markers on the minimap
* Firaxis for eventually delivering mod tools and steam workshop ;)
* The lovely folks over at Civfanatics for their guides, knowledge, tools, and resources
* The even lovelier folks over at /r/civ for their input and testing
* The, arguably, lovely folks back at the Steam Workshop :p
